Skip to main content
POST
/
v2
/
account
/
payment-session
Create payment session
curl --request POST \
  --url https://api.example.com/v2/account/payment-session/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentOptions": [
    {
      "amount": 123,
      "currency": "<string>",
      "paymentMethod": "<string>"
    }
  ],
  "outputCurrency": "<string>",
  "externalId": "<string>",
  "metadata": {},
  "onCompleteRedirectionUrl": "<string>",
  "appearance": {
    "accent": "<string>",
    "accentForeground": "<string>",
    "background": "<string>",
    "border": "<string>",
    "card": "<string>",
    "destructive": "<string>",
    "foreground": "<string>",
    "input": "<string>",
    "locale": "<string>",
    "logoUrl": "<string>",
    "mutedForeground": "<string>",
    "popover": "<string>",
    "primary": "<string>",
    "primaryForeground": "<string>",
    "radius": "<string>",
    "ring": "<string>",
    "secondary": "<string>",
    "secondaryForeground": "<string>",
    "showBrlaLogo": true,
    "showPoweredBy": true,
    "widgetBackground": "<string>"
  },
  "expirationInMinutes": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json
paymentOptions
object[]
required
outputCurrency
string
required
externalId
string
metadata
object
onCompleteRedirectionUrl
string<uri>
appearance
object
expirationInMinutes
integer<int64>

Response

OK

id
string<uuid>
externalId
string